LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
CommandDefinition Service Reference

`import"CommandDefinition.idl";`

Inheritance diagram for CommandDefinition:

## Additional Inherited Members
Public Member Functions inherited from XRename
void | rename ([in]string newName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| is intended to alter the name of a object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/sdb/CommandDefinition.idl